Foreman - Bug #12328

Host STI does not work in engine initializers
10/27/2015 10:41 AM - Marek Hulan

Status: Closed

Priority: Normal
Assignee: Marek Hulén
Category: Plugin integration

Target version: 1.11.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/2868
Description

When | use Host::Base.descendants | expect to return all descendants (at least those defined in core) but we don't load these
classes. This is usually an issue in engines if you need to work with descendants in initializers, until Host::Managed was referenced
from somewhere. Simple solution is to use require_dependency 'host/managed' as for other STI. To reproduce, just start rails

console in development mode and run

Host::Base.descendants

Associated revisions

Revision 72188 - 10/29/2015 12:24 PM - Marek Hulan
Fixes #12328 - host STl loads subclasses

History

#1 - 10/27/2015 10:42 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2868 added
- Pull request deleted ()

#2 - 10/29/2015 01:02 PM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7ff21880b4e1f73ca33e2e3ba07a10d74b51286.

#3 - 10/30/2015 03:31 AM - Marek Hulan

- translation missing: en.field_release set to 71
